/****************************************************************************
** COPYRIGHT (C):    1994 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Mastering Object-Oriented Design
** FILE:             shapes1.cpp
** PURPOSE:          Moving and scaling shapes
** VERSION           1.0
** LANGUAGE:         Borland C++ 3.1
** TARGET:           IBM PC
** PROGRAMMERS:      Cay S. Horstmann (CSH)
** START DATE:       September 14, 1994
** UPDATE HISTORY:
****************************************************************************/

#include "chishape.h"

int chi_main(int, char**)
{  Chi_GraphicsContext gc;
   Chi_Point center(10, 10);
   Chi_Point p(2, 1);
   Chi_Ellipse e(p, 2, 1);

   int i;
   for (i = 1; i <= 20; i++)
   {  e.plot(gc);
      p.plot(gc);
      e.move(0.75, 0.05);
      p.move(0.75, 0.05);
   }

   for (i = 1; i <= 20; i++)
   {  e.plot(gc);
      p.plot(gc);
      e.scale(center, 0.9);
      p.scale(center, 0.9);
   }
   gc.close();
   return 0;
}

